Name: icingadb-redis
Version: 7.0.15
Release: 1.el7
Summary: Redis database for Icinga DB
Group: Productivity/Databases/Daemons
License: BSD-3-Clause
URL: https://icinga.com
Source0: icingadb-redis-7.0.15.tgz
Source1: icingadb-redis-rpm.tgz

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sed
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros
BuildRequires: tcl
BuildRequires: which

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This provides a dedicated Redis server for Icinga DB.

%prep
%autosetup
%setup -T -D -a 1
patch -sp1 < redis.conf.patch

%build
sed -i 's@/usr/libexec@/usr/libexec@g' icingadb-redis-cli-6380.sh
make BUILD_TLS=yes USE_SYSTEMD=yes

%check
./runtest --tags unit

%install

install -dm 0750 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/var/lib/icingadb-redis
install -dm 0750 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/etc/icingadb-redis
install -pm 0640 redis.conf %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/etc/icingadb-redis/icingadb-redis.conf
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/share/icingadb-redis
install -pm 0644 icingadb-redis-systemd.conf %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/share/icingadb-redis/icingadb-redis-systemd.conf
install -Dpm 0644 icingadb-redis.service %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/lib/systemd/system/icingadb-redis.service
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/bin
install -pm 0755 src/redis-server %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/bin/icingadb-redis-server
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/libexec
install -dm 0755 %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/libexec/icingadb-redis
install -pm 0755 src/redis-cli %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/libexec/icingadb-redis/redis-cli
install -pm 0755 icingadb-redis-cli-6380.sh %_topdir/BUILDROOT/icingadb-redis-7.0.15-1.el7.x86_64/usr/bin/icingadb-redis-cli

%pre
getent passwd icingadb-redis >/dev/null || useradd -rU -d /var/lib/icingadb-redis -s /sbin/nologin icingadb-redis

%post

if [ $1 -eq 1 ] ; then
systemctl preset icingadb-redis.service >/dev/null 2>&1 || :
fi

%preun

if [ $1 -eq 0 ] ; then
systemctl --no-reload disable icingadb-redis.service > /dev/null 2>&1 || :
systemctl stop icingadb-redis.service > /dev/null 2>&1 || :
fi

%postun

systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
systemctl try-restart icingadb-redis.service >/dev/null 2>&1 || :
fi

%files
%dir /usr/share/icingadb-redis
/usr/share/icingadb-redis/icingadb-redis-systemd.conf
/usr/lib/systemd/system/icingadb-redis.service
%dir /usr/libexec/icingadb-redis
/usr/libexec/icingadb-redis/redis-cli
/usr/bin/icingadb-redis-server
/usr/bin/icingadb-redis-cli

%attr(-, icingadb-redis, root) %dir /etc/icingadb-redis
%attr(-, icingadb-redis, root) %config(noreplace) /etc/icingadb-redis/icingadb-redis.conf
%attr(-, icingadb-redis, root) %dir /var/lib/icingadb-redis

%changelog
* Wed Jun 26 2024 Icinga GmbH <info@icinga.com> - 7.0.15-1.el7
- Version 7.0.15-1

